<?php
/**
 * Witkey API Demo
 */

// HTTP 请求方法
if (!function_exists('do_http')) {
    function do_http($url,$param = [],$post_file=false){
        $oCurl = curl_init();
        if(stripos($url,"https://")!==FALSE){
            curl_setopt($oCurl, CURLOPT_SSL_VERIFYPEER, FALSE);
            curl_setopt($oCurl, CURLOPT_SSL_VERIFYHOST, false);
            curl_setopt($oCurl, CURLOPT_SSLVERSION, 1); //CURL_SSLVERSION_TLSv1
        }
        if (is_string($param) || $post_file) {
            $strPOST = $param;
        } else {
            $aPOST = array();
            foreach($param as $key=>$val){
                $aPOST[] = $key."=".urlencode($val);
            }
            $strPOST =  join("&", $aPOST);
        }
        curl_setopt($oCurl, CURLOPT_URL, $url);
        curl_setopt($oCurl, CURLOPT_RETURNTRANSFER, 1 );
        curl_setopt($oCurl, CURLOPT_POST,true);
        curl_setopt($oCurl, CURLOPT_POSTFIELDS,$strPOST);
        $sContent = curl_exec($oCurl);
        $aStatus = curl_getinfo($oCurl);
        curl_close($oCurl);
        if(intval($aStatus["http_code"]) == 200){
            return $sContent;
        }else{
            return false;
        }
    }
}


/**
////////////////////////////////////////
// 添加订单(其他) API
////////////////////////////////////////
 */

// * 必传参数 开始----------------------------------------------------------------------------------------------------

// APIKEY
$apikey = 'HRBLQW548EOOF2MVLUMFP0D3T2IY32BU';

// 项目 ID (其他)
$item_id = 152;

// 地域圈子 ID
$circle_id = 0;

// 手机
$phone = '18888888888';


// * 必传参数 结束----------------------------------------------------------------------------------------------------


// 网站url
$url = 'http://monxin.com';
// API 请求链接
$url .= '/api.php?api=witkey.add_order';
// 将数据 添加到 POST 中
$post_data = [
    // APIKEY
    'apikey' => $apikey,

    // 项目 ID
    'item_id' => $item_id,

    // 圈子 ID
    'circle_id' => $circle_id,

    // 手机
    'phone' => $phone,

    // 通过 用户输入项制作的数据
    'other_remarks_div'                 =>'需求描述需求描述需求描述需求描述需求描述需求描述',
    'other_price_div'                   =>'100',
    'other_address_div'                 =>'湖南省长沙市',
    // other_address input_type 为 map 需要添加 lat,lng
    'other_address_lat'                 => '28.21347823', // 百度地图 湖南省长沙市 lat
    'other_address_lng'                 => '112.97935279', // 百度地图 湖南省长沙市 lng

    'other_address_remarks_div_div'     =>'xx小区5栋5号501',
    'other_time_div'                    =>'2019-10-09 12:00:00',
    'other_address_name_div'            =>'张三',
    'other_address_phone_div'           =>'1888888888',
];

// 请求 API 获取 JSON
$result_json = do_http($url, $post_data);
// 解析 JSON
$result_arr = json_decode($result_json, true);
// 打印结果
var_dump($result_arr);


